[next] [prev] [prev-tail] [tail] [up]

#### 7.4 psb_get_mpi_comm — Get the MPI communicator

icomm = psb_get_mpi_comm(icontxt)

This function returns the MPI communicator associated with a PSBLAS context

Type:
  Asynchronous.
On Entry
icontxt
  the communication context identifying the virtual parallel machine.
  Scope: global.
  Type: required.
  Intent: in.
  Specified as: an integer variable.

On Return
Function value
  The MPI communicator associated with the PSBLAS virtual parallel machine.
  Scope: global.
  Type: required.
  Intent: out.

Notes The subroutine version psb_get_mpicomm is still available but is deprecated.

[next] [prev] [prev-tail] [front] [up]